Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BackupWriteDirect Property
DatabaseEnvironment Class See Also Send Feedback

If true, direct I/O is used when writing pages to the disk during a hot backup.

For some environments, direct I/O can provide faster write throughput, but usually it is slower because the OS buffer pool offers asynchronous activity.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool BackupWriteDirect { get; set; }

Visual Basic (Declaration)
    Public Property BackupWriteDirect As Boolean

Visual C++
    public:
    property bool BackupWriteDirect {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace